%define origname RMagick

Name: ruby-rmagick
Version: 1.15.4
Release: alt1

Summary: ImageMagick for Ruby
License: Artistic
Group: Development/Ruby

Url: http://rmagick.rubyforge.org
Source: %origname-%version.tar.bz2
Patch: RMagick-1.5.0.1-fix-im602+build.patch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Thu Mar 08 2007
BuildRequires: fontconfig libImageMagick-devel libruby-devel ruby ruby-module-etc

BuildRequires: libImageMagick-devel >= 5.5.1
BuildRequires: libtiff-devel libjpeg-devel
BuildRequires: ruby

%description
ImageMagick for Ruby

%package doc
Summary: ImageMagick for Ruby - docs
Group: Development/Ruby

%description doc
ImageMagick for Ruby documentation

%prep
%setup -q -n %origname-%version

%build
export RUBY=%_bindir/ruby
%configure \
	--enable-shared \
	--disable-static \
	--with-so-dir=%buildroot%ruby_sitearchdir \
	--with-rb-dir=%buildroot%ruby_sitelibdir \
	--with-ruby-path=%_bindir/ruby \
	--with-ruby-prog=%_bindir/ruby \
	--disable-htmldoc
%make_build

%install
%makeinstall

mkdir -p %buildroot%_docdir/%name-%version/
cp -a ChangeLog README* doc/* \
	%buildroot%_docdir/%name-%version/

%files
%_docdir/%name-%version/ChangeLog
%_docdir/%name-%version/README*
%ruby_sitearchdir/*
%ruby_sitelibdir/*

%files doc
%dir %_docdir/%name-%version/
%_docdir/%name-%version/[^CR]*

%changelog
* Thu Mar 08 2007 Michael Shigorin <mike@altlinux.org> 1.15.4-alt1
- 1.15.4
- updated build/install to use makefile (current scheme)
- updated buildrequires
- disabled docs build, you can get them at homepage and fixing
  that quite resource-hungry part is not justified right now
- NB: I am no longer using RMagick, proper maintainer is welcome

* Thu Nov 09 2006 Michael Shigorin <mike@altlinux.org> 1.14.1-alt1
- 1.14.1
- minor spec cleanup

* Tue May 23 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.10.0-alt1.1
- Rebuild with libMagick++.so.10.0.2 .

* Tue Feb 21 2006 Michael Shigorin <mike@altlinux.org> 1.10.0-alt1
- 1.10.0

* Mon Feb 13 2006 Anton Farygin <rider@altlinux.ru> 1.9.2-alt1.1
- NMU: rebuild with new ImageMagick

* Fri Sep 16 2005 Michael Shigorin <mike@altlinux.org> 1.9.2-alt1
- 1.9.2

* Fri May 27 2005 Michael Shigorin <mike@altlinux.ru> 1.8.1-alt1
- 1.8.1

* Wed Feb 23 2005 Michael Shigorin <mike@altlinux.ru> 1.7.2-alt1
- 1.7.2

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.5.0-alt2.1
- Rebuilt with libtiff.so.4.

* Sun Jul 18 2004 Michael Shigorin <mike@altlinux.ru> 1.5.0-alt2
- built against IM 6.0.2
- adapted patch from 
  http://rubyforge.org/tracker/index.php?func=detail&aid=624&group_id=12&atid=133

* Fri Apr 23 2004 Michael Shigorin <mike@altlinux.ru> 1.5.0-alt1
- 1.5.0

* Wed Mar 10 2004 Michael Shigorin <mike@altlinux.ru> 1.4.0-alt1
- 1.4.0
- updated Url:, thanks to the author

* Wed Feb 04 2004 Michael Shigorin <mike@altlinux.ru> 1.3.2-alt1
- 1.3.2
- removed somewhat largish docs to subpackage

* Thu Sep 25 2003 Michael Shigorin <mike@altlinux.ru> 1.3.0-alt1
- built for ALT Linux

